<?php
/*  Copyright 2009  Alexandre Hoyau  (email : lex [at] silex-ria . org)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
/**
 * @package exchange-platform
 * @author http://lex.silex.tv/
 * @version 1
 */
/*
Plugin Name: Exchange Platform
Plugin URI: http://wordpress.org/extend/plugins/flog/
Description: Turn a WordPress blog into a collaborative exchange platform or app store.
Author: Lexa Yo
Version: 0.1
Author URI: http://silex-ria.org/lex
*/

require_once(dirname(__FILE__).'/includes/constants.php');
require_once(EP_PLUGIN_DIR.'/includes/functions.php');
if (version_compare(PHP_VERSION, '5.0', '<'))
{
	if ($_GET['activate'] == true)
	{
		ep_error('php-error','Error: the Exchange Platform plugin requires PHP 5.0 or newer and you are running '.PHP_VERSION);
	}
}
else
{
	// data base for dependencies
	require_once(EP_PLUGIN_DIR.'/includes/EPDataBase.php');
	
	// expose feeds
	require_once(EP_PLUGIN_DIR.'/views/feeds.php');

	// display the edit settings screen
	require_once(EP_PLUGIN_DIR.'/views/adminPage.php');
	
	// display the selected project/versions on your blog
	require_once(EP_PLUGIN_DIR.'/views/frontPage.php');
	
	// display the edit posts and pages boxes
	require_once(EP_PLUGIN_DIR.'/views/editPage.php');
}

/*
function epLoginScreenTitleFilter($title)
{
	return $title.'<br />Exchange Platform';
}
add_filter('login_headertitle', epLoginScreenTitleFilter);
login_message 
*/
?>